## conjure 0.0.6

=== requirements.txt ===
urwid
pyyaml
jinja2

=== debian/changelog ===
conjure (0.0.6) xenial; urgency=medium

  * Initial Release (LP: #1561037)
  * d/control
    - Fix grammatical errors
    - Remove unused build-dep (bundle-placer)
  * d/copyright
    - Fix header to point to correct upstream location
    - remove duplicate copyright globs
    - Add missing copyright directories

 -- Adam Stokes <adam.stokes@ubuntu.com>  Tue, 17 Nov 2015 10:25:15 -0400

=== debian/control ===
Source: conjure
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               pep8,
               help2man,
               pyflakes,
               python3-all,
               python3-bson,
               python3-jinja2,
               python3-nose,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.6
Homepage: https://github.com/Ubuntu-Solutions-Engineering/conjure
X-Python3-Version: >= 3.4
Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/conjure
Vcs-Git: https://github.com/Ubuntu-Solutions-Engineering/conjure.git

Package: conjure
Architecture: all
Depends: juju (>= 2.0~),
         rsyslog,
         lxd,
         lxd-client,
         python3-bson,
         python3-jinja2,
         python3-requests,
         python3-requests-oauthlib,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Package runtime for apt-installable juju bundles
 This package provides Conjure, an interface to configuring apt-installable
 packages from the cloud. It utilizes apt, juju, and conjure's custom
 configuration views.

## conjure 0.0.7

=== Makefile ===
#
# Makefile for conjure
#
NAME = conjure
TOPDIR := $(shell basename `pwd`)
GIT_REV := $(shell git log --oneline -n1| cut -d" " -f1)
VERSION := $(shell ./tools/version)

.PHONY: install-dependencies
install-dependencies:
	sudo apt-get -yy install devscripts equivs pandoc
	sudo mk-build-deps -i -t "apt-get --no-install-recommends -y" debian/control

.PHONY: uninstall-dependencies
uninstall-dependencies:
	sudo apt-get remove conjure-build-deps

update_version: git-sync-requirements
	wrap-and-sort
	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" conjure/__init__.py

clean:
	@-debian/rules clean
	@rm -rf docs/_build/*
	@rm -rf mockcfgpath
	@rm -rf ../conjure_*.deb ../cloud-*.deb ../conjure_*.tar.gz ../conjure_*.dsc ../conjure_*.changes \
		../conjure_*.build ../conjure-*.deb ../conjure_*.upload
	@rm -rf cover
	@rm -rf .coverage
	@rm -rf .tox
	@rm -rf dist

DPKGBUILDARGS = -us -uc -i'.git.*|.tox|.bzr.*|.editorconfig|.travis-yaml|macumba\/debian|maasclient\/debian'
deb-src: clean update_version
	@debuild -S -sa $(DPKGBUILDARGS)

deb-release:
	@debuild -S -sd $(DPKGBUILDARGS)

deb: clean update_version man-pages
	@debuild -b $(DPKGBUILDARGS)

man-pages:
	@pandoc -s docs/conjure-setup.md -t man -o man/en/conjure-setup.1

current_version:
	@echo $(VERSION)

git-sync-requirements:
	if [ ! -f tools/sync-repo.py ]; then echo "Need to download sync-repo.py from https://git.io/v2mEw" && exit 1; fi
	tools/sync-repo.py -m repo-manifest.json -f

git_rev:
	@echo $(GIT_REV)

pyflakes:
	pyflakes conjure test bin

pep8:
	pep8 conjure test bin

# Indirection to allow 'make run' to build deb automatically, but
# 'make sbuild; make run' will not invoke 'deb'.
../conjure*.deb: deb
	echo "rule to make .deb automatically"

.PHONY: install
install: ../conjure*.deb
	-dpkg -i ../conjure_*deb
	-dpkg -i ../conjure-${type}*deb
	apt-get -yy install -f

all: deb

=== debian/changelog ===
conjure (0.0.7) xenial-proposed; urgency=medium

  * pre, post-bootstrap, post execution hooks available per bundle
  * Add additional user feedback in console UI
  * Fail gracefully if run against anything other than Juju 2 or above
  * Support merging bundles, add/removing specific charms, and provide
    search capability via the charmstore API.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 12:21:40 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-urwid,
                python3-ws4py,
                python3-yaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/Ubuntu-Solutions-Engineering/conjure
 X-Python3-Version: >= 3.4
 Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/conjure

## conjure 0.0.8

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,8 @@
 deb-release:
 	@debuild -S -sd $(DPKGBUILDARGS)
 
-deb: clean update_version man-pages
+deb: clean update_version
 	@debuild -b $(DPKGBUILDARGS)
-
-man-pages:
-	@pandoc -s docs/conjure-setup.md -t man -o man/en/conjure-setup.1
 
 current_version:
 	@echo $(VERSION)

=== requirements.txt ===
urwid
pyyaml
jinja2
requests_oauthlib
ws4py

=== debian/changelog ===
conjure (0.0.8) xenial-proposed; urgency=medium

  * Handle MAAS as a special builtin type rather than a public cloud
  * Support configuring LXD bridge for first run users
  * Add helper functions for use in the processing hooks

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 14:34:31 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
+               help2man,
                pep8,
-               help2man,
                pyflakes,
                python3-all,
                python3-bson,
+               python3-configobj,
                python3-jinja2,
                python3-nose,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,
+               python3-petname,
                python3-urwid,
                python3-ws4py,
                python3-yaml
@@ -25,17 +27,20 @@
 
 Package: conjure
 Architecture: all
-Depends: juju (>= 2.0~),
-         rsyslog,
+Depends: jq,
+         juju (>= 2.0~),
          lxd,
          lxd-client,
+         python3-petname,
          python3-bson,
+         python3-configobj,
          python3-jinja2,
          python3-requests,
          python3-requests-oauthlib,
          python3-urwid,
          python3-ws4py,
          python3-yaml,
+         rsyslog,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/conjure

export PYBUILD_NAME=conjure
export PYBUILD_INSTALL_DIR=usr/share/conjure
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/conjure \
	--install-data=usr/ \
	--install-scripts=usr/share/conjure \
	--root=$(PKGDIR) \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mkdir -p $(PKGDIR)/usr/share/man/man1
	help2man $(PKGDIR)/usr/share/conjure/conjure-setup -n "apt install juju bundles" --no-info -o $(PKGDIR)/usr/share/man/man1/conjure-setup.1
	dh_install

override_dh_auto_test:
	@echo "No tests."
